Package org.apache.lucene.util

# Class ByteBlockPool.Allocator

java.lang.Object
org.apache.lucene.util.ByteBlockPool.Allocator

Direct Known Subclasses:
  `ByteBlockPool.DirectAllocator`, `ByteBlockPool.DirectTrackingAllocator`, `RecyclingByteBlockAllocator`

Enclosing class:
  `ByteBlockPool`

public abstract static class ByteBlockPool.Allocator extends Object
Abstract class for allocating and freeing byte blocks.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final int`
  `blockSize`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Allocator(int blockSize)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getByteBlock()`
  `abstract void`
  `recycleByteBlocks(byte[][] blocks, int start, int end)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### blockSize

    protected final int blockSize

- ## Constructor Details

  - ### Allocator

    protected Allocator(int blockSize)

- ## Method Details

  - ### recycleByteBlocks

    public abstract void recycleByteBlocks(byte[][] blocks, int start, int end)

  - ### getByteBlock

    public byte[] getByteBlock()